Sunday, June 1, 2008

MySQL sought by politics

In the hot US political campaign, something of interest for MySQL is happening. The Obama camp is looking for developers in the LAMP stack, asking for MySQL experience. They also ask specifically for deep knowledge of MySQL performance and query optimization. The interesting bits about this request is that it is
It would be interesting to know what the McCain camp is going to use to counter this move. But it is not going to be so difficult to guess ...
$ wget -O /dev/null -S http://www.johnmccain.com/
...
Content-Location: http://www.johnmccain.com/Home.htm
Last-Modified: Sun, 01 Jun 2008 13:39:58 GMT
Accept-Ranges: bytes
Server: Microsoft-IIS/6.0
X-Powered-By: ASP.NET
...

I can already foresee many geeks converting a political debate into a technological challenge.
As, for me, I don't discuss my political views. Go LAMP!

3 comments:

Don McArthur said...

Hmmmm .. point the same command at www.barackobama.com and it returns a 'Server: PWS/1.3.7', which is even more frightening than IIS, methinks.

Hillary Clinton's comes back with 'Server: Microsoft-IIS/6.0', unfortunately.

We'd best look elsewhere for significance.

FakeAmelia said...

PSW is bad. That's why the Obama camp is also looking for a security expert.
Amelia

Peter said...

since all these servers are wack, we best use head requests only:

wget --spider http://johnmccain.com/